# Interface ICefBrowserView

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefBrowserView = interface(ICefView)`

## Description

A View hosting a ICefBrowser instance. Methods must be called on the browser process UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_browser_view_capi.h">CEF source file: /include/capi/views/cef_browser_view_capi.h (cef_browser_view_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefView
- ICefBrowserView

## Overview

### Methods

| `function GetBrowser: ICefBrowser;`
| `function GetChromeToolbar: ICefView;`
| `procedure SetPreferAccelerators(prefer_accelerators: boolean);`
| `function GetRuntimeStyle: TCefRuntimeStyle;`

### Properties

| `property RuntimeStyle : TCefRuntimeStyle read GetRuntimeStyle;`

## Description

### Methods

| `function GetBrowser: ICefBrowser;`
Returns the ICefBrowser hosted by this BrowserView. Will return NULL if the browser has not yet been created or has already been destroyed. ###### Attributes GUID['{A617EE5D-B933-4E14-9FC0-7E88E9B6C051}']

| `function GetChromeToolbar: ICefView;`
Returns the Chrome toolbar associated with this BrowserView. Only supported when using Chrome style. The ICefBrowserViewDelegate.GetChromeToolbarType function must return a value other than CEF_CTT_NONE and the toolbar will not be available until after this BrowserView is added to a ICefWindow and ICefViewDelegate.OnWindowChanged() has been called.

| `procedure SetPreferAccelerators(prefer_accelerators: boolean);`
Sets whether normal priority accelerators are first forwarded to the web content (`keydown` event handler) or ICefKeyboardHandler. Normal priority accelerators can be registered via ICefWindow.SetAccelerator (with |high_priority|=false) or internally for standard accelerators supported by Chrome style. If |prefer_accelerators| is true then the matching accelerator will be triggered immediately (calling ICefWindowDelegate.OnAccelerator or ICefCommandHandler.OnChromeCommand respectively) and the event will not be forwarded to the web content or ICefKeyboardHandler first. If |prefer_accelerators| is false then the matching accelerator will only be triggered if the event is not handled by web content (`keydown` event handler that calls `event.preventDefault()`) or by ICefKeyboardHandler. The default value is false.

| `function GetRuntimeStyle: TCefRuntimeStyle;`
Returns the runtime style for this BrowserView (ALLOY or CHROME). See TCefRuntimeStyle documentation for details.

### Properties

| `property RuntimeStyle : TCefRuntimeStyle read GetRuntimeStyle;`
Returns the runtime style for this BrowserView (ALLOY or CHROME). See TCefRuntimeStyle documentation for details.

Generated by PasDoc 0.16.0-snapshot.